<script setup lang="ts">
import type { useStockStore } from '@/stores/checkstock';
import { inject, type Ref } from 'vue';
import { useUserStore } from '@/stores/user';




const userStore = useUserStore();
const drawer = inject<Ref<boolean>>('drawer')
const titleBar = inject<Ref<string>>('title')
</script>

<template>
  <div>
    <v-navigation-drawer v-model="drawer" :width="200">
      <v-list density="compact" nav color="primary">

        <v-list-item prepend-icon="mdi-book" title="POS" value="pos" @click="titleBar = 'POS'"
          :to="{ name: 'pos' }"></v-list-item>
        <v-list-item prepend-icon="mdi-cart" title="Stock" value="stockitem" @click="titleBar = 'Stock Managment'"
          :to="{ path: '/stock' }"></v-list-item>
        <v-list-item prepend-icon="mdi-clock" title="CheckIN-OUT" value="check" @click="titleBar = 'Check'"
          :to="{ name: 'check' }"></v-list-item>
        <div v-if="userStore.currentUser?.rank === 'ผู้จัดการ'">
          <v-list-item prepend-icon="mdi-account-group" title="Users" value="users" @click="titleBar = 'Users'"
            :to="{ name: 'user' }"></v-list-item>
          <v-list-item prepend-icon="mdi-cash" title="Salary" value="salary" @click="titleBar = 'Salary'"
            :to="{ path: '/salary' }"></v-list-item>
          <v-list-item prepend-icon="mdi-account" title="Customer" value="customer" @click="titleBar = 'Customer'"
            :to="{ path: '/customer' }"></v-list-item>
          <v-list-item prepend-icon="mdi-currency-usd" title="Utility Cost" value="utilitycost"
            @click="titleBar = 'Utility Cost'" :to="{ path: '/ulic' }"></v-list-item>
          <v-list-item prepend-icon="mdi-information-variant-circle" title="About" value="about"
            @click="titleBar = 'About'" :to="{ path: '/about' }"></v-list-item>

        </div>
      </v-list>
    </v-navigation-drawer>
  </div>
</template>
